%define name perl-CGI.pm
%define realname CGI.pm
%define version 2.72
%define release 1mdk

Name:		%{name}
Summary:	Easy to use Perl5 library to write WWW CGI scripts
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Perl
URL:		http://stein.cshl.org/WWW/software/CGI/
Source:		%{realname}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
BuildPreReq:	perl


%description
CGI.pm is an easy-to-use Perl module to write World Wide Web CGI scripts.


%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version}

%build
mkdir -p %{buildroot}
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%make

%install
mkdir -p %{buildroot}/%{perl_archlib}
make PREFIX=%{buildroot}%{_prefix} install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCE MANIFEST README cgi_docs.html cgi-lib_porting.html
%{_libdir}/perl5/5.*/%{_arch}-linux/auto/CGI/
%{_libdir}/perl5/5.*/CGI/Util.pm
%{_libdir}/perl5/5.*/CGI/Carp.pm
%{_libdir}/perl5/5.*/CGI/Fast.pm
%{_libdir}/perl5/5.*/CGI/Push.pm
%{_libdir}/perl5/5.*/CGI/Pretty.pm
%{_libdir}/perl5/5.*/CGI/Cookie.pm
%{_libdir}/perl5/5.*/CGI/Apache.pm
%{_libdir}/perl5/5.*/CGI/Switch.pm
%{_libdir}/perl5/5.*/CGI.pm
%{_libdir}/perl5/man/man3/CGI::Fast.3*
%{_libdir}/perl5/man/man3/CGI::Carp.3*
%{_libdir}/perl5/man/man3/CGI::Pretty.3*
%{_libdir}/perl5/man/man3/CGI::Push.3*
%{_libdir}/perl5/man/man3/CGI.3*
%{_libdir}/perl5/man/man3/CGI::Switch.3*
%{_libdir}/perl5/man/man3/CGI::Apache.3*
%{_libdir}/perl5/man/man3/CGI::Cookie.3*


%changelog
* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.72-1mdk
- updated to v2.72

* Sat Jul 22 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.68-1mdk
- 2.68
- macroization

* Tue May  9 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.66-1mdk
- initial specfile
- bzip sources
